/* strupr.c (emx+gcc) -- Copyright (c) 1990-1995 by Eberhard Mattes */

#include <string.h>
#include <ctype.h>

char *strupr (char *string)
{
  unsigned char *p;

  for (p = (unsigned char *)string; *p != 0; ++p)
    if (islower (*p))
      *p = (unsigned char) toupper (*p);
  return string;
}
